package gui;

import java.awt.AlphaComposite;
import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.JLabel;

public class TransparentLabel extends JLabel
{
	private static final long serialVersionUID = -960966238081080375L;
	private SignalsViewport viewport;
	private MIDIModulator modulator;

	public TransparentLabel(SignalsViewport viewport, MIDIModulator modulator, String text, int pos)
	{
		super(text, pos);
		this.setOpaque(false);
		this.viewport = viewport;
		this.modulator = modulator;
		
	}
	
	/*
	public void paintComponent(Graphics g)
	{
		Graphics2D g2 = (Graphics2D) g.create();
		if (!viewport.showSignals)
		{
			g2.setComposite(AlphaComposite.getInstance(AlphaComposite.SRC_OVER, 1.0f)); 
		}
		else
		{
			if (viewport.activeMod.equals(modulator))
			{
				g2.setComposite(AlphaComposite.getInstance(AlphaComposite.SRC_OVER, 0.85f)); 
			}
		}
		super.paintComponent(g2);
		g2.dispose();
	}
	*/
	/*
	public void paintChildren(Graphics g)
	{
		Graphics2D g2 = (Graphics2D) g.create();
		if (!viewport.showSignals)
		{
			g2.setComposite(AlphaComposite.getInstance(AlphaComposite.SRC_OVER, 1.0f)); 
		}
		else
		{
			if (viewport.activeMod.equals(modulator))
			{
				g2.setComposite(AlphaComposite.getInstance(AlphaComposite.SRC_OVER, 0.85f)); 
			}
		}
		super.paintChildren(g2);
		g2.dispose();
	}
	*/
	
	public void paint(Graphics g)
	{
		Graphics2D g2 = (Graphics2D) g;
		if (!viewport.showSignals)
		{
			g2.setComposite(AlphaComposite.getInstance(AlphaComposite.SRC_OVER, 1.0f)); 
		}
		else
		{
			//if (viewport.activeMod.equals(modulator))
			{
				g2.setComposite(AlphaComposite.getInstance(AlphaComposite.SRC_OVER, 0.85f)); 
			}
		}
		super.paint(g2);
		g2.dispose();
	}
}
